# Record Class CJ1FileSearchParameters

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.json.internal.CJ1FileSearchParameters

All Implemented Interfaces:
  `CJ1ValueType`

@JsonClassDescription("Parameters to search for files.") public record CJ1FileSearchParameters(CJ1ComparisonFuzzyType<String> description, CJ1ComparisonFuzzyType<String> mediaType, CJ1SizeRange sizeRange, CJ1FileColumnOrdering ordering, CJ1UnsignedLong pageSize) extends Record implements CJ1ValueType

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CJ1FileSearchParameters(CJ1ComparisonFuzzyType<String> description, CJ1ComparisonFuzzyType<String> mediaType, CJ1SizeRange sizeRange, CJ1FileColumnOrdering ordering, CJ1UnsignedLong pageSize)`
  Creates an instance of a `CJ1FileSearchParameters` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CJ1ComparisonFuzzyType<String>`
  `description()`
  Returns the value of the `description` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `CJ1ComparisonFuzzyType<String>`
  `mediaType()`
  Returns the value of the `mediaType` record component.
  `CJ1FileColumnOrdering`
  `ordering()`
  Returns the value of the `ordering` record component.
  `CJ1UnsignedLong`
  `pageSize()`
  Returns the value of the `pageSize` record component.
  `CJ1SizeRange`
  `sizeRange()`
  Returns the value of the `sizeRange` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CJ1FileSearchParameters

    public CJ1FileSearchParameters(@JsonPropertyDescription("Include files with descriptions matching the given expression.") CJ1ComparisonFuzzyType<String> description, @JsonPropertyDescription("Include files with media types matching the given expression.") CJ1ComparisonFuzzyType<String> mediaType, @JsonPropertyDescription("Include files with sizes matching the given expression.") CJ1SizeRange sizeRange, @JsonPropertyDescription("The result ordering.") CJ1FileColumnOrdering ordering, @JsonPropertyDescription("The maximum number of results per page.") CJ1UnsignedLong pageSize)
    Creates an instance of a `CJ1FileSearchParameters` record class.
    Parameters:
      `description` - the value for the `description` record component
      `mediaType` - the value for the `mediaType` record component
      `sizeRange` - the value for the `sizeRange` record component
      `ordering` - the value for the `ordering` record component
      `pageSize` - the value for the `pageSize` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### description

    @JsonPropertyDescription("Include files with descriptions matching the given expression.") public CJ1ComparisonFuzzyType<String> description()
    Returns the value of the `description` record component.
    Returns:
      the value of the `description` record component

  - ### mediaType

    @JsonPropertyDescription("Include files with media types matching the given expression.") public CJ1ComparisonFuzzyType<String> mediaType()
    Returns the value of the `mediaType` record component.
    Returns:
      the value of the `mediaType` record component

  - ### sizeRange

    @JsonPropertyDescription("Include files with sizes matching the given expression.") public CJ1SizeRange sizeRange()
    Returns the value of the `sizeRange` record component.
    Returns:
      the value of the `sizeRange` record component

  - ### ordering

    @JsonPropertyDescription("The result ordering.") public CJ1FileColumnOrdering ordering()
    Returns the value of the `ordering` record component.
    Returns:
      the value of the `ordering` record component

  - ### pageSize

    @JsonPropertyDescription("The maximum number of results per page.") public CJ1UnsignedLong pageSize()
    Returns the value of the `pageSize` record component.
    Returns:
      the value of the `pageSize` record component